Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.groovydoc
[Java] Interface GroovyMemberDoc

    org.codehaus.groovy.groovydoc.GroovyDoc
      org.codehaus.groovy.groovydoc.GroovyProgramElementDoc
          org.codehaus.groovy.groovydoc.GroovyMemberDoc

All Superinterfaces:
  GroovyDoc, GroovyProgramElementDoc

    public interface GroovyMemberDoc
    extends GroovyProgramElementDoc

Method Summary
`boolean` | `isSynthetic()`

Methods inherited from interface GroovyProgramElementDoc
annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifierSpecifier, modifiers, qualifiedName

Methods inherited from interface GroovyDoc
commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText

Methods inherited from interface Comparable
compareTo

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### isSynthetic

    public boolean isSynthetic()

Copyright © 2003-2010 The Codehaus. All rights reserved.